Bug 1542 - AIX 5.1 fails to compile winbind_nss_aix.c
AIX 5.1 fails to compile winbind_nss_aix.c
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.4
PPC AIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 02:40 UTC by cartman
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cartman 2004-07-20 02:40:53 UTC
The file ./samba-3.0.4/source/nsswitch/winbind_nss_aix.c
contains reference to the following line:
     methods->method_version = SECMETHOD_VERSION_520;
which only exists on AIX 5.2. Attempting to compile under AIX 5.1 or earlier 
causes this compile to fail. To resolve I simply commented out this line. I 
suggest wrapping this line in a #ifdef viz:

#ifdef SECMETHOD_VERSION_520
     methods->method_version = SECMETHOD_VERSION_520;
#endif
Comment 1 Tim Potter 2004-07-22 23:18:17 UTC
Fixed - thanks!

Someone should find out what the method_version field actually does and
determine if it needs filling in for other versions of AIX.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:20:36 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.